Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMedicalImageReader2 Class Reference

`#include <vtkMedicalImageReader2.h>`

Inheritance diagram for vtkMedicalImageReader2:

[legend]
Collaboration diagram for vtkMedicalImageReader2:

[legend]
List of all members.

## Detailed Description

vtkImageReader2 with medical meta data.

Date:
  2002/01/22 15:38:17

Revision:
  1.2

vtkMedicalImageReader2 is a parent class for medical image readers. It provides a place to store patient information that may be stored in the image header.

See also:
  vtkImageReader2 vtkGESignaReader

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (87%)
  - Schroeder, Will (12%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkMedicalImageReader2.h)`
  - .`cxx` (`/IO/vtkMedicalImageReader2.cxx)`

Definition at line 47 of file vtkMedicalImageReader2.h.

## Public Types
typedef vtkImageReader2 | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPatientName (const char *)
virtual char * | GetPatientName ()
virtual void | SetPatientID (const char *)
virtual char * | GetPatientID ()
virtual void | SetDate (const char *)
virtual char * | GetDate ()
virtual void | SetSeries (const char *)
virtual char * | GetSeries ()
virtual void | SetStudy (const char *)
virtual char * | GetStudy ()
virtual void | SetImageNumber (const char *)
virtual char * | GetImageNumber ()
## Static Public Methods
vtkMedicalImageReader2 * | New ()
int | IsTypeOf (const char *type)
vtkMedicalImageReader2 * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMedicalImageReader2 ()
| ~vtkMedicalImageReader2 ()
## Protected Attributes
char * | PatientName
char * | PatientID
char * | Date
char * | ImageNumber
char * | Study
char * | Series

## Member Typedef Documentation

typedef vtkImageReader2 vtkMedicalImageReader2::Superclass

| Reimplemented from vtkImageReader2. Reimplemented in vtkGESignaReader. Definition at line 51 of file vtkMedicalImageReader2.h.

## Constructor & Destructor Documentation

vtkMedicalImageReader2::vtkMedicalImageReader2 | ( |  | ) | `[protected]`

vtkMedicalImageReader2::~vtkMedicalImageReader2 | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMedicalImageReader2* vtkMedicalImageReader2::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader2. Reimplemented in vtkGESignaReader.

virtual const char* vtkMedicalImageReader2::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader2. Reimplemented in vtkGESignaReader.

int vtkMedicalImageReader2::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2. Reimplemented in vtkGESignaReader.

virtual int vtkMedicalImageReader2::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2. Reimplemented in vtkGESignaReader.

vtkMedicalImageReader2* vtkMedicalImageReader2::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader2. Reimplemented in vtkGESignaReader.

void vtkMedicalImageReader2::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader2. Reimplemented in vtkGESignaReader.

virtual void vtkMedicalImageReader2::SetPatientName | ( | const char * |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual char* vtkMedicalImageReader2::GetPatientName | ( |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual void vtkMedicalImageReader2::SetPatientID | ( | const char * |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual char* vtkMedicalImageReader2::GetPatientID | ( |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual void vtkMedicalImageReader2::SetDate | ( | const char * |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual char* vtkMedicalImageReader2::GetDate | ( |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual void vtkMedicalImageReader2::SetSeries | ( | const char * |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual char* vtkMedicalImageReader2::GetSeries | ( |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual void vtkMedicalImageReader2::SetStudy | ( | const char * |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual char* vtkMedicalImageReader2::GetStudy | ( |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual void vtkMedicalImageReader2::SetImageNumber | ( | const char * |  | ) | `[virtual]`

| Methods to set/get the patient information data.

virtual char* vtkMedicalImageReader2::GetImageNumber | ( |  | ) | `[virtual]`

| Methods to set/get the patient information data.

## Member Data Documentation

char* vtkMedicalImageReader2::PatientName`[protected]`

| Definition at line 75 of file vtkMedicalImageReader2.h.

char* vtkMedicalImageReader2::PatientID`[protected]`

| Definition at line 76 of file vtkMedicalImageReader2.h.

char* vtkMedicalImageReader2::Date`[protected]`

| Definition at line 77 of file vtkMedicalImageReader2.h.

char* vtkMedicalImageReader2::ImageNumber`[protected]`

| Definition at line 78 of file vtkMedicalImageReader2.h.

char* vtkMedicalImageReader2::Study`[protected]`

| Definition at line 79 of file vtkMedicalImageReader2.h.

char* vtkMedicalImageReader2::Series`[protected]`

| Definition at line 80 of file vtkMedicalImageReader2.h.

The documentation for this class was generated from the following file:

- IO/vtkMedicalImageReader2.h